/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { DigitalOceanStorage } from "./DigitalOceanStorage";
import type { GoogleStorage } from "./GoogleStorage";
import type { InternalStorageV2 } from "./InternalStorageV2";
import type { R2Storage } from "./R2Storage";
import type { S3Storage } from "./S3Storage";
import type { WebStorage } from "./WebStorage";

/**
 * Data type used to update or create a folder's storage layer.
 *
 * This data type may contain credentials.
 */
export type StorageLayerUpdate =
  | InternalStorageV2
  | WebStorage
  | S3Storage
  | DigitalOceanStorage
  | R2Storage
  | GoogleStorage;
